Skip to main content
PUT
/
v3
/
catalog_types
/
{id}
UpdateType
curl --request PUT \
  --url https://api.incident.io/v3/catalog_types/{id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "annotations": {
    "incident.io/catalog-importer/id": "id-of-config"
  },
  "categories": [
    "customer"
  ],
  "color": "yellow",
  "description": "Represents Kubernetes clusters that we run inside of GKE.",
  "icon": "alert",
  "name": "Kubernetes Cluster",
  "ranked": true,
  "source_repo_url": "https://github.com/my-company/incident-io-catalog",
  "use_name_as_identifier": true
}
'
{
  "catalog_type": {
    "annotations": {
      "incident.io/catalog-importer/id": "id-of-config"
    },
    "categories": [
      "customer"
    ],
    "color": "yellow",
    "created_at": "2021-08-17T13:28:57.801578Z",
    "description": "Represents Kubernetes clusters that we run inside of GKE.",
    "dynamic_resource_parameter": "abc123",
    "estimated_count": 7,
    "icon": "alert",
    "id": "01FCNDV6P870EA6S7TK1DSYDG0",
    "is_editable": false,
    "last_synced_at": "2021-08-17T13:28:57.801578Z",
    "name": "Kubernetes Cluster",
    "ranked": true,
    "registry_type": "PagerDutyService",
    "required_integrations": [
      "pager_duty"
    ],
    "schema": {
      "attributes": [
        {
          "array": false,
          "backlink_attribute": "abc123",
          "id": "01GW2G3V0S59R238FAHPDS1R66",
          "mode": "",
          "name": "tier",
          "path": [
            {
              "attribute_id": "abc123",
              "attribute_name": "abc123"
            }
          ],
          "type": "Custom[\"Service\"]"
        }
      ],
      "version": 1
    },
    "source_repo_url": "https://github.com/my-company/incident-io-catalog",
    "type_name": "Custom[\"BackstageGroup\"]",
    "updated_at": "2021-08-17T13:28:57.801578Z",
    "use_name_as_identifier": true
  }
}

Path Parameters

id
string
required

ID of this catalog type

Example:

"01FCNDV6P870EA6S7TK1DSYDG0"

Body

application/json
description
string
required

Human readble description of this type

Example:

"Represents Kubernetes clusters that we run inside of GKE."

name
string
required

Name is the human readable name of this type

Example:

"Kubernetes Cluster"

annotations
object

Annotations that can track metadata about this type

Example:
{
"incident.io/catalog-importer/id": "id-of-config"
}
categories
enum<string>[]

What categories is this type considered part of

Available options:
customer,
issue-tracker,
product-feature,
service,
on-call,
team,
user
Example:
["customer"]
color
enum<string>

Sets the display color of this type in the dashboard

Available options:
yellow,
green,
blue,
violet,
pink,
cyan,
orange
Example:

"yellow"

icon
enum<string>

Sets the display icon of this type in the dashboard

Available options:
alert,
bolt,
box,
briefcase,
browser,
bulb,
calendar,
clock,
cog,
components,
database,
doc,
email,
escalation-path,
files,
flag,
folder,
globe,
money,
server,
severity,
status-page,
store,
star,
tag,
user,
users
Example:

"alert"

ranked
boolean

If this type should be ranked

Example:

true

source_repo_url
string

The url of the external repository where this type is managed

Example:

"https://github.com/my-company/incident-io-catalog"

use_name_as_identifier
boolean

If enabled, you can refer to entries of this type by their name, as well as their external ID and any aliases.

Example:

true

Response

200 - application/json

OK response.

catalog_type
object
required
Example:
{
"annotations": {
"incident.io/catalog-importer/id": "id-of-config"
},
"categories": ["customer"],
"color": "yellow",
"created_at": "2021-08-17T13:28:57.801578Z",
"description": "Represents Kubernetes clusters that we run inside of GKE.",
"dynamic_resource_parameter": "abc123",
"estimated_count": 7,
"icon": "alert",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"is_editable": false,
"last_synced_at": "2021-08-17T13:28:57.801578Z",
"name": "Kubernetes Cluster",
"ranked": true,
"registry_type": "PagerDutyService",
"required_integrations": ["pager_duty"],
"schema": {
"attributes": [
{
"array": false,
"backlink_attribute": "abc123",
"id": "01GW2G3V0S59R238FAHPDS1R66",
"mode": "",
"name": "tier",
"path": [
{
"attribute_id": "abc123",
"attribute_name": "abc123"
}
],
"type": "Custom[\"Service\"]"
}
],
"version": 1
},
"source_repo_url": "https://github.com/my-company/incident-io-catalog",
"type_name": "Custom[\"BackstageGroup\"]",
"updated_at": "2021-08-17T13:28:57.801578Z",
"use_name_as_identifier": true
}